<!DOCTYPE html>
<html class="writer-html5" lang="en" >
<head>
  <meta charset="utf-8" />
  <meta name="viewport" content="width=device-width, initial-scale=1.0" />
  <title>scripts.multiple_candidates.scripts_select.b_compare_fit_results package &mdash; RDstar_light  documentation</title>
      <link rel="stylesheet" href="_static/pygments.css" type="text/css" />
      <link rel="stylesheet" href="_static/css/theme.css" type="text/css" />
  <!--[if lt IE 9]>
    <script src="_static/js/html5shiv.min.js"></script>
  <![endif]-->
  
        <script data-url_root="./" id="documentation_options" src="_static/documentation_options.js"></script>
        <script src="_static/jquery.js"></script>
        <script src="_static/underscore.js"></script>
        <script src="_static/_sphinx_javascript_frameworks_compat.js"></script>
        <script src="_static/doctools.js"></script>
        <script async="async" src="https://cdn.jsdelivr.net/npm/mathjax@3/es5/tex-mml-chtml.js"></script>
    <script src="_static/js/theme.js"></script>
    <link rel="index" title="Index" href="genindex.html" />
    <link rel="search" title="Search" href="search.html" />
    <link rel="next" title="scripts.multiple_candidates.scripts_select.c_compute_chi2 package" href="scripts.multiple_candidates.scripts_select.c_compute_chi2.html" />
    <link rel="prev" title="scripts.multiple_candidates.scripts_select.a_select_multiple_candidates package" href="scripts.multiple_candidates.scripts_select.a_select_multiple_candidates.html" /> 
</head>

<body class="wy-body-for-nav"> 
  <div class="wy-grid-for-nav">
    <nav data-toggle="wy-nav-shift" class="wy-nav-side">
      <div class="wy-side-scroll">
        <div class="wy-side-nav-search" >
            <a href="index.html" class="icon icon-home"> RDstar_light
          </a>
<div role="search">
  <form id="rtd-search-form" class="wy-form" action="search.html" method="get">
    <input type="text" name="q" placeholder="Search docs" />
    <input type="hidden" name="check_keywords" value="yes" />
    <input type="hidden" name="area" value="default" />
  </form>
</div>
        </div><div class="wy-menu wy-menu-vertical" data-spy="affix" role="navigation" aria-label="Navigation menu">
              <ul class="current">
<li class="toctree-l1"><a class="reference internal" href="lib.html">lib package</a></li>
<li class="toctree-l1 current"><a class="reference internal" href="scripts.html">scripts.multiple_candidates package</a><ul class="current">
<li class="toctree-l2"><a class="reference internal" href="scripts.html#multiple-candidates">Multiple candidates</a></li>
<li class="toctree-l2"><a class="reference internal" href="scripts.html#subpackages">Subpackages</a></li>
<li class="toctree-l2 current"><a class="reference internal" href="scripts.html#scripts">Scripts</a><ul class="current">
<li class="toctree-l3"><a class="reference internal" href="scripts.multiple_candidates.scripts_ana.html">scripts.multiple_candidates.scripts_ana package</a></li>
<li class="toctree-l3 current"><a class="reference internal" href="scripts.multiple_candidates.scripts_select.html">scripts.multiple_candidates.scripts_select package</a><ul class="current">
<li class="toctree-l4"><a class="reference internal" href="scripts.multiple_candidates.scripts_select.a_select_multiple_candidates.html">scripts.multiple_candidates.scripts_select.a_select_multiple_candidates package</a></li>
<li class="toctree-l4 current"><a class="current reference internal" href="#">scripts.multiple_candidates.scripts_select.b_compare_fit_results package</a></li>
<li class="toctree-l4"><a class="reference internal" href="scripts.multiple_candidates.scripts_select.c_compute_chi2.html">scripts.multiple_candidates.scripts_select.c_compute_chi2 package</a></li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>

        </div>
      </div>
    </nav>

    <section data-toggle="wy-nav-shift" class="wy-nav-content-wrap"><nav class="wy-nav-top" aria-label="Mobile navigation menu" >
          <i data-toggle="wy-nav-top" class="fa fa-bars"></i>
          <a href="index.html">RDstar_light</a>
      </nav>

      <div class="wy-nav-content">
        <div class="rst-content">
          <div role="navigation" aria-label="Page navigation">
  <ul class="wy-breadcrumbs">
      <li><a href="index.html" class="icon icon-home"></a> &raquo;</li>
          <li><a href="scripts.html">scripts.multiple_candidates package</a> &raquo;</li>
          <li><a href="scripts.multiple_candidates.scripts_select.html">scripts.multiple_candidates.scripts_select package</a> &raquo;</li>
      <li>scripts.multiple_candidates.scripts_select.b_compare_fit_results package</li>
      <li class="wy-breadcrumbs-aside">
            <a href="_sources/scripts.multiple_candidates.scripts_select.b_compare_fit_results.rst.txt" rel="nofollow"> View page source</a>
      </li>
  </ul>
  <hr/>
</div>
          <div role="main" class="document" itemscope="itemscope" itemtype="http://schema.org/Article">
           <div itemprop="articleBody">
             
  <div class="section" id="scripts-multiple-candidates-scripts-select-b-compare-fit-results-package">
<h1>scripts.multiple_candidates.scripts_select.b_compare_fit_results package<a class="headerlink" href="#scripts-multiple-candidates-scripts-select-b-compare-fit-results-package" title="Permalink to this heading"></a></h1>
<div class="section" id="module-scripts.multiple_candidates.scripts_select.b_compare_fit_results.config">
<span id="scripts-multiple-candidates-scripts-select-b-compare-fit-results-config-module"></span><h2>scripts.multiple_candidates.scripts_select.b_compare_fit_results.config module<a class="headerlink" href="#module-scripts.multiple_candidates.scripts_select.b_compare_fit_results.config" title="Permalink to this heading"></a></h2>
<p>Configuration of the scripts
<code class="xref py py-mod docutils literal notranslate"><span class="pre">multiple_candidates.scripts_select.b_compare_fit_results.compute</span></code>
and
<code class="xref py py-mod docutils literal notranslate"><span class="pre">multiple_candidates.scripts_select.b_compare_fit_results.plot</span></code></p>
<dl class="py data">
<dt class="sig sig-object py" id="scripts.multiple_candidates.scripts_select.b_compare_fit_results.config.image_path_wildcards">
<span class="sig-prename descclassname"><span class="pre">scripts.multiple_candidates.scripts_select.b_compare_fit_results.config.</span></span><span class="sig-name descname"><span class="pre">image_path_wildcards</span></span><em class="property"><span class="w"> </span><span class="p"><span class="pre">=</span></span><span class="w"> </span><span class="pre">'{outdir}/plots/multiple_candidates/fit_compar/fit_{ffmodel}_compar_all_vs_sc_vs_random-20_vs_opt-min-lab1_ENDVERTEX_CHI2'</span></em><a class="headerlink" href="#scripts.multiple_candidates.scripts_select.b_compare_fit_results.config.image_path_wildcards" title="Permalink to this definition"></a></dt>
<dd><p>Path of the figure</p>
</dd></dl>

<dl class="py data">
<dt class="sig sig-object py" id="scripts.multiple_candidates.scripts_select.b_compare_fit_results.config.pickle_path_wildcards">
<span class="sig-prename descclassname"><span class="pre">scripts.multiple_candidates.scripts_select.b_compare_fit_results.config.</span></span><span class="sig-name descname"><span class="pre">pickle_path_wildcards</span></span><em class="property"><span class="w"> </span><span class="p"><span class="pre">=</span></span><span class="w"> </span><span class="pre">'{outdir}/pickle/multiple_candidates/RD_star_light/{full_muc_strat}_{ffmodel}.pickle'</span></em><a class="headerlink" href="#scripts.multiple_candidates.scripts_select.b_compare_fit_results.config.pickle_path_wildcards" title="Permalink to this definition"></a></dt>
<dd><p>Path of the figure</p>
</dd></dl>

</div>
<div class="section" id="module-scripts.multiple_candidates.scripts_select.b_compare_fit_results.compute">
<span id="scripts-multiple-candidates-scripts-select-b-compare-fit-results-compute-script"></span><h2>scripts.multiple_candidates.scripts_select.b_compare_fit_results.compute script<a class="headerlink" href="#module-scripts.multiple_candidates.scripts_select.b_compare_fit_results.compute" title="Permalink to this heading"></a></h2>
<p>Compute <span class="math notranslate nohighlight">\(R(D^{*})_{\text{light}}\)</span> and store the result in a JSON
file.</p>
<p>To run the script:</p>
<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="n">python</span> <span class="n">compute</span><span class="o">.</span><span class="n">py</span> <span class="o">-</span><span class="n">f</span> <span class="p">{</span><span class="n">ffmodel</span><span class="p">}</span> <span class="o">-</span><span class="n">full_muc_strat</span> <span class="p">{</span><span class="n">full_muc_strat</span><span class="p">}</span>
</pre></div>
</div>
<p>where <code class="docutils literal notranslate"><span class="pre">ffmodel</span></code> is <code class="docutils literal notranslate"><span class="pre">CLN</span></code> or <code class="docutils literal notranslate"><span class="pre">BGL</span></code>, and <code class="docutils literal notranslate"><span class="pre">full_muc_strat</span></code> is the
strategy that is used to deal with multiple candidates:</p>
<ul class="simple">
<li><p><code class="docutils literal notranslate"><span class="pre">sc</span></code>: all the multiple candidates are removed</p></li>
<li><p><code class="docutils literal notranslate"><span class="pre">random_{seed}</span></code>: one single candidate is selected for every multiple events, with random seed <cite>{seed}</cite></p></li>
<li><p><code class="docutils literal notranslate"><span class="pre">opt_{opt_best}_{opt_column}</span></code>: one single candidate is     selected, that is, the one that minimises     (<code class="docutils literal notranslate"><span class="pre">opt_best</span> <span class="pre">==</span> <span class="pre">&quot;min&quot;</span></code>) or maximises (<code class="docutils literal notranslate"><span class="pre">opt_best</span> <span class="pre">==</span> <span class="pre">&quot;max&quot;</span></code>)     the column <code class="docutils literal notranslate"><span class="pre">opt_column</span></code></p></li>
</ul>
<p>You can also specify <code class="docutils literal notranslate"><span class="pre">-e</span> <span class="pre">{eosdir}</span> <span class="pre">-p</span> <span class="pre">{preselectiondir}</span> <span class="pre">-o</span> <span class="pre">{outdir}</span></code>.</p>
</div>
<div class="section" id="module-scripts.multiple_candidates.scripts_select.b_compare_fit_results.plot">
<span id="scripts-multiple-candidates-scripts-select-b-compare-fit-results-plot-script"></span><h2>scripts.multiple_candidates.scripts_select.b_compare_fit_results.plot script<a class="headerlink" href="#module-scripts.multiple_candidates.scripts_select.b_compare_fit_results.plot" title="Permalink to this heading"></a></h2>
<p>Plot <span class="math notranslate nohighlight">\(R(D^{\star})_{\text{light}}\)</span> in every year to compare the
effect of how multiple candidates are handled.</p>
<p>To run this script:</p>
<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="n">python</span> <span class="n">plot</span><span class="o">.</span><span class="n">py</span> <span class="p">(</span><span class="o">-</span><span class="n">o</span> <span class="p">{</span><span class="n">outdir</span><span class="p">})</span>
</pre></div>
</div>
</div>
</div>


           </div>
          </div>
          <footer><div class="rst-footer-buttons" role="navigation" aria-label="Footer">
        <a href="scripts.multiple_candidates.scripts_select.a_select_multiple_candidates.html" class="btn btn-neutral float-left" title="scripts.multiple_candidates.scripts_select.a_select_multiple_candidates package" accesskey="p" rel="prev"><span class="fa fa-arrow-circle-left" aria-hidden="true"></span> Previous</a>
        <a href="scripts.multiple_candidates.scripts_select.c_compute_chi2.html" class="btn btn-neutral float-right" title="scripts.multiple_candidates.scripts_select.c_compute_chi2 package" accesskey="n" rel="next">Next <span class="fa fa-arrow-circle-right" aria-hidden="true"></span></a>
    </div>

  <hr/>

  <div role="contentinfo">
    <p>&#169; Copyright .</p>
  </div>

  Built with <a href="https://www.sphinx-doc.org/">Sphinx</a> using a
    <a href="https://github.com/readthedocs/sphinx_rtd_theme">theme</a>
    provided by <a href="https://readthedocs.org">Read the Docs</a>.
   

</footer>
        </div>
      </div>
    </section>
  </div>
  <script>
      jQuery(function () {
          SphinxRtdTheme.Navigation.enable(true);
      });
  </script> 

</body>
</html>